FS_EXAMINE(1)

NAME
fs_examine - Shows data about the volume containing a directory or file

SYNOPSIS
fs examine [-path <dir/file path>+] [-help]

fs exa [-p <dir/file path>+] [-h]

fs listvol [-p <dir/file path>+] [-h]

fs listv [-p <dir/file path>+] [-h]

fs lv [-p <dir/file path>+] [-h]

DESCRIPTION
The fs examine command displays information about the volume containing each specified directory or file, including its volume ID number, quota and the percentage of its quota that is used.

This command provides the most information about a volume, but the fs listquota command displays similar information in tabular format, and the fs quota command reports only the percentage of quota used.

To set volume quota, use the fs setquota or fs setvol command.

CAUTIONS
The partition-related statistics in this command's output do not always agree with the corresponding values in the output of the standard UNIX df command. The statistics reported by this command can be up to five minutes old, because the Cache Manager polls the File Server for partition information at that frequency. Also, on some operating systems, the df command's report of partition size includes reserved space not included in this command's calculation, and so is likely to be about 10% larger.

OPTIONS

-path <dir/file path>+
    Names a file or directory that resides in the volume about which to produce output. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output displays information about the volume that houses each specified directory or file, in the following format

   Volume status for vid = I<volume ID> named I<volume name>
   Current offline message is I<message>
   Current disk quota is I<quota in kilobytes>
   Current blocks used are I<volume size in kilobytes>
   The partition has I<available partition> blocks available out of
      I<partition size>

where the first line specifies the volume's ID number and name. The "Current offline message" line appears only if an administrator has included the -offlinemsg argument to the fs setvol command. The remaining lines report, respectively,

•   The volume's quota in kilobytes, or the string "unlimited" to indicate an unlimited quota.

•   The volume's current size in kilobytes.

•   The number of blocks available and total size of the host partition, both in kilobytes.

EXAMPLES
The following example shows the output for the volume "user.smith" and the partition housing it:

   % fs examine -path /afs/abc.com/usr/smith
   Volume status for vid = 50489902 named user.smith
   Current maximum quota is 15000
   Current blocks used are 5073
   The partition has 336662 blocks available out of 4177920

PRIVILEGE REQUIRED
The issuer must have the "r" (read) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and "l" (list) permission on the ACL of each directory that precedes it in the pathname.

SEE ALSO
fs_listquota(1), fs_quota(1), fs_setquota(1), fs_setvol(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.